Subject: New 800 # needed
From: "Michael B" <[email-masked]>
To: "Rachel Davis" <[email-masked]>
Date: Tue, 6 Feb 2018 16:33:01 -0500

Hello Rachel.
I had a question that I thought you may know the answer to or at least be able to direct me to someone who can answer it. I am in need of a new 800 number for a new product we are testing for. In the past, we had an IT person that used to set these things up so I am not sure what he may have used for us in the past. I am not sure if we would purchase that from a phone provider or what. Any idea how I might go about getting this process started? I appreciate any help.
Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355